<?php
/**
 * The main template file.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */

get_header();
	global $whitish_lite_content_layout;

	$whitish_lite_settings  = whitish_lite_get_theme_options();
	$blog_layout_class 		= whitish_list_blog_layout();


	if( $post ) {
		$layout = get_post_meta( $post->ID, 'whitish_lite_sidebarlayout', true );
	}

	if( empty( $layout ) || is_archive() || is_search() || is_home() ) {
		$layout = 'default';
	}



	if( 'default' == $layout ) { //Settings from customizer
		if(($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'nosidebar') && ($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'fullwidth')){ ?>
		<?php
			if (is_author()) {
				$objs = get_queried_object();
				if (! empty($objs)) {
					$author_id = $objs->ID;
				}
				whitish_lite_author_description($author_id);
			}
		?>
			<div id="primary" class="<?php echo esc_attr($blog_layout_class);?>">

				<?php }
	}?>
				<main id="main" class="site-main clearfix">
					<?php
					if( have_posts() ) {
						while( have_posts() ) {
							the_post();
							get_template_part( 'content', get_post_format() );
						}
					}
					else { ?>
					<h2 class="entry-title"> <?php esc_html_e( 'No Posts Found.', 'whitish-lite' ); ?> </h2>
					<?php } ?>
				</main> <!-- #main -->
				<?php get_template_part( 'pagination', 'none' );
				if( 'default' == $layout ) { //Settings from customizer
					if(($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'nosidebar') && ($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'fullwidth')): ?>
						</div> <!-- #primary -->
						<?php endif;
				}
get_sidebar();
get_footer(); ?>