<?php
/**
 * The template for displaying search results.
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
get_header();
	$whitish_lite_settings = whitish_lite_get_theme_options();
	global $whitish_lite_content_layout;
	$blog_layout = $whitish_lite_settings['whitish_lite_blog_layout'];
	if( $post ) {
		$layout = get_post_meta( $post->ID, 'whitish_lite_sidebarlayout', true );
	}
	if( empty( $layout ) || is_archive() || is_search() || is_home() ) {
		$layout = 'default';
	}
	$post_format = get_post_format();
	$entry_format_meta_blog = $whitish_lite_settings['whitish_lite_entry_meta_blog'];
	if( 'default' == $layout ) { //Settings from customizer
		if(($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'nosidebar') && ($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'fullwidth')){ ?>
		<div id="primary">
			<?php }
		}?>
		<main id="main">
			<?php
			if( have_posts() ) {
				while( have_posts() ) {
					the_post();
						?>
						<article id="post-<?php the_ID(); ?>" <?php post_class();?>>
							<?php whitish_lite_blog_post_format($post_format, $post->ID); ?>
							<div class="entry-content">
								<?php the_excerpt(); ?>
								<a class="more-link" title="<?php the_title_attribute('echo=0');?>" href="<?php the_permalink();?>">
								<?php echo esc_html_e('Read More', 'whitish-lite'); ?>
								</a>
							</div> <!-- end .entry-content -->
						</article><!-- end .post -->

						<?php

					 }
			} else { ?>
			<h2 class="entry-title">
				<?php get_search_form(); ?>
				<p>&nbsp; </p>
				<?php esc_html_e( 'No Posts Found.', 'whitish-lite' ); ?>
			</h2>
			<?php } ?>
		</main> <!-- #main -->
		<?php get_template_part( 'pagination', 'none' );
		if( 'default' == $layout ) { //Settings from customizer
			if(($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'nosidebar') && ($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'fullwidth')): ?>
		</div> <!-- #primary -->
	<?php endif;
	}
get_sidebar();
get_footer(); ?>