<?php
/**
 * Displays the searchform
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
?>
<form class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
	<?php
		$whitish_lite_settings = whitish_lite_get_theme_options();
		$whitish_lite_search_form = $whitish_lite_settings['whitish_lite_search_text'];
		if($whitish_lite_search_form !='Search &hellip;'): ?>
	<input type="search" name="s"  value="<?php echo get_search_query(); ?>" class="search-field" placeholder="<?php echo esc_attr($whitish_lite_search_form); ?>" autocomplete="off">
	<button type="submit" class="search-submit"><i class="fa fa-search"></i></button>
	<?php else: ?>
	<input type="search" name="s" class="search-field" value="<?php echo get_search_query(); ?>" placeholder="<?php esc_attr_e( 'Search &hellip;', 'whitish-lite' ); ?>" autocomplete="off">
	<button type="submit" class="search-submit"><i class="fa fa-search"></i></button>
	<?php endif; ?>
</form> <!-- end .search-form -->